<?php 
/**
 * Integrates this theme with the Projects by WooThemes plugin
 * http://wordpress.org/plugins/projects-by-woothemes/
 */
if ( ! defined( 'ABSPATH' ) ) exit;

global $woo_options;

/**
 * Support
 */
add_action( 'after_setup_theme', 'woo_projects_support' );

/**
 * Styles and Scripts
 * Disable stock Projects css and enqueue our own.
 */
add_filter( 'projects_enqueue_styles', '__return_false' );
add_action( 'wp_enqueue_scripts', 'woo_projects_scripts', 10 );

/**
* Project Archives Layout
*/

// remove default plugin html wrappers and disable title
remove_action( 'projects_before_main_content', 'projects_output_content_wrapper', 10 ); 
add_filter( 'projects_show_page_title', '__return_false' ) ;

// add new title  
add_action('projects_before_main_content' , 'woo_projects_archive_title', 10 ) ; 

// start and ending content wrappers
add_action('projects_before_main_content' , 'woo_projects_simplicity_content_start', 10 ) ;
add_action( 'projects_after_main_content', 'woo_projects_after_content', 20 );

// set the loop columns , limit the words in the excerpt
add_filter( 'projects_loop_columns', 'woo_custom_projects_loop_columns', 10);
add_filter('post_excerpt', 'woo_custom_projects_limit_excerpt');

// split the image and the title on the arvhive an shortcode into 
// their own anchor elements
remove_action('projects_loop_item' , 'projects_template_loop_project_thumbnail' ,  10 );
add_action( 'projects_before_loop_item' , 'woo_custom_template_loop_project_thumbnail', 10);

/**
* Single Project Layout
*/

// move tile above the content 
remove_action('projects_before_single_project_summary', 'projects_template_single_title', 10); 
add_action('projects_single_project_summary', 'projects_template_single_title', 0); 

// move gallery and the fetaured image intto a single div
remove_action('projects_before_single_project_summary', 'projects_template_single_feature', 30); 
remove_action('projects_before_single_project_summary', 'projects_template_single_gallery', 40); 
add_action('projects_before_single_project_summary','woo_custom_projects_single_images_holder',30);
add_action('woo_custom_projects_inside_single_images_holder', 'woo_custom_projects_template_single_feature', 10); 

// load a custom single project gallery template
add_action('woo_custom_projects_inside_single_images_holder', 'woo_custom_projects_template_single_gallery', 20); 